# Uses of Interface
org.osgi.service.remoteserviceadmin.ImportReference

Packages that use ImportReference
Package
Description
org.eclipse.ecf.osgi.services.remoteserviceadmin
org.osgi.service.remoteserviceadmin
Remote Service Admin Package Version 1.1.

## Uses of ImportReference in org.eclipse.ecf.osgi.services.remoteserviceadmin

Classes in org.eclipse.ecf.osgi.services.remoteserviceadmin that implement ImportReference
Modifier and Type
Class
Description
`class`
`RemoteServiceAdmin.ImportReference`
Methods in org.eclipse.ecf.osgi.services.remoteserviceadmin that return ImportReference
Modifier and Type
Method
Description
`ImportReference`
RemoteServiceAdmin.ImportRegistration.`getImportReference()`
Methods in org.eclipse.ecf.osgi.services.remoteserviceadmin that return types with arguments of type ImportReference
Modifier and Type
Method
Description
`Collection<ImportReference>`
RemoteServiceAdmin.`getImportedEndpoints()`
Constructors in org.eclipse.ecf.osgi.services.remoteserviceadmin with parameters of type ImportReference
Modifier
Constructor
Description
``
`RemoteServiceAdminEvent(ID containerID, int type, Bundle source, ImportReference importReference, Throwable exception, EndpointDescription endpointDescription)`

## Uses of ImportReference in org.osgi.service.remoteserviceadmin

Methods in org.osgi.service.remoteserviceadmin that return ImportReference
Modifier and Type
Method
Description
`ImportReference`
ImportRegistration.`getImportReference()`
Return the Import Reference for the imported service.
`ImportReference`
RemoteServiceAdminEvent.`getImportReference()`
Return the Import Reference for this event.
Methods in org.osgi.service.remoteserviceadmin that return types with arguments of type ImportReference
Modifier and Type
Method
Description
`Collection<ImportReference>`
RemoteServiceAdmin.`getImportedEndpoints()`
Return the currently active Import References.
Constructors in org.osgi.service.remoteserviceadmin with parameters of type ImportReference
Modifier
Constructor
Description
``
`RemoteServiceAdminEvent(int type, Bundle source, ImportReference importReference, Throwable exception)`
Create a Remote Service Admin Event for an import notification.